# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               cciss_vol_status
Version:            1.11
Release:            1.2
Summary:            HP Smart Array Status Reporting Tool
Source:             http://prdownloads.sourceforge.net/cciss/files/cciss_vol_status-%{version}.tar.gz
Patch1:             cciss_vol_status-fix_array_access_out_of_bounds.patch
URL:                http://cciss.sourceforge.net/
Group:              Hardware/Other
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
A very lightweight program to report the status of logical drives on HP Smart
Array controllers and also fibre channel attached MSA1000.

%prep
%setup -q
%patch1

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/cciss_vol_status
%doc %{_mandir}/man8/cciss_vol_status.8*

%changelog
* Fri Jul  5 2013 pascal.bleser@opensuse.org
- update to 1.11
* Fri Jul 23 2010 pascal.bleser@opensuse.org
- initial package (1.06)
